<?php error_reporting(0);if(extension_loaded('zlib')){ob_start('ob_gzhandler');} header("Content-type: text/javascript"); ?>
/*jslint plusplus:false,white:false,undef: false, rhino: true, onevar: true, evil: true */

/*
About: Licena

I3Geo Interface Integrada de Ferramentas de Geoprocessamento para Internet

Direitos Autorais Reservados (c) 2006 Ministrio do Meio Ambiente Brasil
Desenvolvedor: Edmar Moretti edmar.moretti@mma.gov.br

Este programa  software livre; voc pode redistribu-lo
e/ou modific-lo sob os termos da Licena Pblica Geral
GNU conforme publicada pela Free Software Foundation;
tanto a verso 2 da Licena.
Este programa  distribudo na expectativa de que seja til,
porm, SEM NENHUMA GARANTIA; nem mesmo a garantia implcita
de COMERCIABILIDADE OU ADEQUAO A UMA FINALIDADE ESPECFICA.
Consulte a Licena Pblica Geral do GNU para mais detalhes.
Voc deve ter recebido uma cpia da Licena Pblica Geral do
GNU junto com este programa; se no, escreva para a
Free Software Foundation, Inc., no endereo
59 Temple Street, Suite 330, Boston, MA 02111-1307 USA.
*/
if(typeof(i3GEOF) === 'undefined'){
	i3GEOF = [];
}
/*
Class: i3GEOF.opcoesQuadros

Executa a animao do gadget quadros.
*/
i3GEOF.opcoesQuadros = {
	/*
	Variavel: aguarde
	
	Estilo do objeto DOM com a imagem de aguarde existente no cabealho da janela.
	*/
	aguarde: "",
	/*
	Function: inicia
	
	Inicia a ferramenta.  chamado por criaJanelaFlutuante
	
	Parametro:
	
	iddiv {String} - id do div que receber o conteudo HTML da ferramenta
	*/
	inicia: function(iddiv){
		try{
			$i(iddiv).innerHTML += i3GEOF.opcoesQuadros.html();
			new YAHOO.widget.Button(
				"i3GEOopcoesQuadrosbotao1",
				{onclick:{fn: i3GEOF.opcoesQuadros.limpa}}
			);
			new YAHOO.widget.Button(
				"i3GEOopcoesQuadrosbotao2",
				{onclick:{fn: i3GEOF.opcoesQuadros.executa}}
			);
			$i("i3GEOopcoesQuadrosnquadros").onchange = function(){
				i3GEO.gadgets.quadros.inicia($i("i3GEOopcoesQuadrosnquadros").value);
				i3GEO.gadgets.quadros.quadroatual = -1;
			};
			i3GEOF.opcoesQuadros.aguarde.visibility = "hidden";
		}
		catch(erro){alert(erro);}
	},
	/*
	Function: html
	
	Gera o cdigo html para apresentao das opes da ferramenta
	
	Retorno:
	
	String com o cdigo html
	*/
	html:function(){
		var ins = '<table summary="" class=lista >' + 
			'<tr><td>Tempo:</td><td>' +
			$inputText("","","i3GEOopcoesQuadrostempoanima","",4,"450") +	
			'</td></tr><tr><td>&nbsp;</td><td></td></tr>' +
			'<tr><td>N. de quadros:</td><td>' +
			$inputText("","","i3GEOopcoesQuadrosnquadros","",4,i3GEO.gadgets.quadros.quadrosfilme.length) +
			'</tr></table><br>' +
			'<p class=paragrafo ><input id=i3GEOopcoesQuadrosbotao1 size=10  type=button value="Limpa"/>' +
			'<p class=paragrafo ><input  id=i3GEOopcoesQuadrosbotao2 size=10 type=button value="Mostra"/>';
		return ins;
	},
	/*
	Function: criaJanelaFlutuante
	
	Cria a janela flutuante para controle da ferramenta.
	*/	
	criaJanelaFlutuante: function(){
		var janela,divid,temp,titulo;
		cabecalho = function(){};
		minimiza = function(){
			i3GEO.janela.minimiza("i3GEOF.opcoesQuadros");
		};
		//cria a janela flutuante
		titulo = "Quadros <a class=ajuda_usuario target=_blank href='" + i3GEO.configura.locaplic + "/ajuda_usuario.php?idcategoria=6&idajuda=54' >&nbsp;&nbsp;&nbsp;</a>";
		janela = i3GEO.janela.cria(
			"170px",
			"130px",
			"",
			"",
			"",
			titulo,
			"i3GEOF.opcoesQuadros",
			false,
			"hd",
			cabecalho,
			minimiza
		);
		divid = janela[2].id;
		$i("i3GEOF.opcoesQuadros_corpo").style.backgroundColor = "white";
		$i("i3GEOF.opcoesQuadros_corpo").style.textAlign = "left";
		i3GEOF.opcoesQuadros.aguarde = $i("i3GEOF.opcoesQuadros_imagemCabecalho").style;
		i3GEOF.opcoesQuadros.inicia(divid);
	},
	/*
	Function: executa
	
	Altera a legenda
	*/
	executa: function(){
		i3GEO.gadgets.quadros.anima(0,$i("i3GEOopcoesQuadrostempoanima").value);
	},
	/*
	Function: limpa
	
	Limpa o gadget quadros
	*/
	limpa: function(){
		i3GEO.gadgets.quadros.inicia(i3GEO.gadgets.quadros.quadrosfilme.length);
		i3GEO.gadgets.quadros.quadroatual = -1;
	}
};
<?php error_reporting(0);if(extension_loaded('zlib')){ob_end_flush();}?>